TEMPLATE	= app
LANGUAGE	= C++

CONFIG	+= qt warn_on release

HEADERS	+= config.h \
	constants.h \
	version.h \
	global.h \
	helper.h \
	trackdata.h \
	tracks.h \
	desktopinfo.h \
	mplayerprocess.h \
	mplayerwindow.h \
	mediadata.h \
	mediasettings.h \
	preferences.h \
	images2.h \
	inforeader.h \
	keys.h \
	recents.h \
	core.h \
	logwindow.h \
	infowindow.h \
	encodings.h \
	seekwidget.h \
	preferencesdialog.h \
	filepreferencesdialog.h \
	playlist.h \
	verticaltext.h \
	eqslider.h \
	videoequalizer.h \
	timeslider.h \
	inputdvddirectory.h \
	guibase.h \
	client.h \
	server.h \
	gui.h

SOURCES	+= global.cpp \
	helper.cpp \
	trackdata.cpp \
	tracks.cpp \
	desktopinfo.cpp \
	mplayerprocess.cpp \
	mplayerwindow.cpp \
	mediadata.cpp \
	mediasettings.cpp \
	preferences.cpp \
	images2.cpp \
	inforeader.cpp \
	keys.cpp \
	recents.cpp \
	core.cpp \
	logwindow.cpp \
	infowindow.cpp \
	encodings.cpp \
	seekwidget.cpp \
	preferencesdialog.cpp \
	filepreferencesdialog.cpp \
	playlist.cpp \
	verticaltext.cpp \
	eqslider.cpp \
	videoequalizer.cpp \
	timeslider.cpp \
	inputdvddirectory.cpp \
	guibase.cpp \
	client.cpp \
	server.cpp \
	gui.cpp \
	main.cpp

FORMS	= preferencesdialogbase.ui \
	logwindowbase.ui \
	playlistbase.ui \
	filepreferencesdialogbase.ui \
	eqsliderbase.ui \
	infowindowbase.ui \
	inputdvddirectorybase.ui \
	seekwidgetbase.ui

IMAGES	= icons-png/logo.png \
	icons-png/mouse.png \
	icons-png/keyboard.png \
	icons-png/speaker.png \
	icons-png/xresize_window.png \
	icons-png/monitor.png \
	icons-png/cdrom_drive.png \
	icons-png/dvd_drive.png \
	icons-png/pref_advanced.png \
	icons-png/pref_general.png \
	icons-png/pref_performance.png \
	icons-png/pref_devices.png \
	icons-png/pref_gui.png \
	icons-png/pref_subtitles.png \
	icons-png/plus.png \
	icons-png/minus.png \
	icons-png/up.png \
	icons-png/down.png \
	icons-png/xrepeat.png \
	icons-png/shuffle.png \
	icons-png/ok.png \
	icons-png/open.png \
	icons-png/openfolder.png \
	icons-png/dvd.png \
	icons-png/dvd_hd.png \
	icons-png/url.png \
	icons-png/exit.png \
	icons-png/save.png \
	icons-png/copy.png \
	icons-png/playlist.png \
	icons-png/info.png \
	icons-png/prefs.png \
	icons-png/logs.png \
	icons-png/chapter.png \
	icons-png/title.png \
	icons-png/sub.png \
	icons-png/aspect.png \
	icons-png/screenshot.png \
	icons-png/fullscreen.png \
	icons-png/volume.png \
	icons-png/mute.png \
	icons-png/forward10s.png \
	icons-png/forward1m.png \
	icons-png/forward10m.png \
	icons-png/xrewind10s.png \
	icons-png/xrewind1m.png \
	icons-png/xrewind10m.png \
	icons-png/play.png \
	icons-png/pause.png \
	icons-png/stop.png \
	icons-png/previous.png \
	icons-png/next.png \
	icons-png/brightness.png \
	icons-png/contrast.png \
	icons-png/hue.png \
	icons-png/saturation.png

TRANSLATIONS = smplayer_es.ts smplayer_de.ts smplayer_sk.ts smplayer_it.ts \
               smplayer_fr.ts smplayer_zh_CN.ts smplayer_ru_RU.ts \
               smplayer_hu.ts smplayer_en_US.ts smplayer_pl.ts

QT += qt3support

unix {
  UI_DIR = .ui
  MOC_DIR = .moc
  OBJECTS_DIR = .obj

  DEFINES += DATA_PATH=$(DATA_PATH)
  DEFINES += DOC_PATH=$(DOC_PATH)
  DEFINES += TRANSLATION_PATH=$(TRANSLATION_PATH)
  DEFINES += CONF_PATH=$(CONF_PATH)
  #DEFINES += NO_DEBUG_ON_CONSOLE
}

win32 {
	RC_FILE = smplayer.rc
	DEFINES += NO_DEBUG_ON_CONSOLE
#	debug {
#		CONFIG += console
#	}
}
